<div class='content-scroll search-results'>
  <div class='wrapper'>
    {{#if this.hasNoResults}}
      <h5 class='no-search-results text-center mt-3 text-info p-4'>
        {{t 'not-found-features-search-message' term=@model.term}}
      </h5>

      {{#if @model.mapId}}
        <div class='no-search-results-suggestions text-center mt-3 p-4'>
          <LinkTo
            @route='browse.maps.map-view.search'
            @models={{array '_' @model.term}}
            class='text-decoration-none'
            data-always-inside='true'
          >
            {{t 'not-found-features-suggestion-message'}}
          </LinkTo>
        </div>
      {{/if}}
    {{/if}}

    {{#if this.shortFeatureList}}
      <div class='row m-2'>
        {{#each this.shortFeatureList as |item|}}
          <div class='col col-6 p-2'>
            <View::FeatureCard
              @value={{item}}
              @options={{this.featureCardOptions}}
            />
          </div>
        {{/each}}
      </div>

      <LinkTo
        @query={{hash allFeatures='1'}}
        class='browse-all-sites d-block p-3'
        data-always-inside='true'
      >
        {{t 'show all features'}}
      </LinkTo>
    {{else}}
      <div class='row m-2'>
        {{#each @model.features.buckets as |list|}}
          {{#each list as |item|}}
            <div class='col col-6 p-2'>
              <View::FeatureCard
                @value={{item}}
                @options={{this.featureCardOptions}}
              />
            </div>
          {{/each}}
        {{/each}}
      </div>

      <LazyListLoadMore @lazyList={{@model.features}} class="mb-5" />
    {{/if}}

    {{#if @model.maps}}
      <h4 class='m-3 mb-2'>{{capitalize (t 'maps')}}</h4>

      <div class='row m-2'>
        {{#each @model.maps as |item|}}
          <div class='col col-6 p-2'>
            <Browse::Map::Card
              @map={{item}}
              @onClick={{this.showMap}}
              @hideDescription={{true}}
            />
          </div>
        {{/each}}
      </div>
    {{/if}}

    {{#if @model.places}}
      <h4 class='m-3 mb-2'>{{capitalize (t 'places')}}</h4>
      {{#each @model.places as |place|}}
        <Browse::Places::Preview @place={{place}} @onClick={{this.showPlace}} />
      {{/each}}

      {{#each this.licenses as |license|}}
        <div class='place-license ms-3 me-3'>
          <a href='{{license.url}}' target='_blank' rel='noopener noreferrer'>
            {{license.name}}
          </a>
        </div>
      {{/each}}
    {{/if}}
  </div>
</div>